# Channels endpoint

Please refer to the [Common object types](./common_types.md) page for more
details on the various JSON objects used below.


##### GET `/api/v1/channels/:id`

> Response:

```javascript
{
	"author": String,
	"authorId": String,
	"authorUrl": String,
	"authorVerified": Boolean,
	"authorBanners": [
		// One or more ImageObject
	],
	"authorThumbnails": [
		// One or more ImageObject
	],

	"subCount": Number, // Integer
	"totalViews": Number, // Integer
	"joined": Number, // Unix timestamp

	"autoGenerated": Boolean,
	"isFamilyFriendly": Boolean,

	"description": String,
	"descriptionHtml": String,
	"allowedRegions": String[],

	"tabs": String[],

	"latestVideos": [
		// One or more VideoObject
	],
	"relatedChannels": [
		// One or more ChannelObject
	]
}
```


##### GET `/api/v1/channels/:id/channels`

> URL parameters:

* `continuation`: A continuation token to get the next chunk of items. The token is provided each time this API is requested.

> Response:

```javascript
{
	"relatedChannels": [
		// One or more ChannelObject
	],
	"continuation": String
}
```


##### GET `/api/v1/channels/:id/latest`

This is the same as requesting `/api/v1/channels/:id/videos` without URL parameters.


##### GET `/api/v1/channels/:id/playlists`

> URL parameters:

* `continuation`: A continuation token to get the next chunk of items. The token is provided each time this API is requested.
* `sort_by`: Sort order filter. Accepted values: `oldest`, `newest`, `last`. Defaults to `last`.

> Response:

```javascript
{
	"playlists": [
		// One or more PlaylistOject
	],
	"continuation": continuation
}
```


##### GET `/api/v1/channels/:id/shorts`

> URL parameters:

* `continuation`: A continuation token to get the next chunk of items. The token is provided each time this API is requested.

> Response:

See: GET `/api/v1/channels/:id/videos`


##### GET `/api/v1/channels/:id/streams`

> URL parameters:

* `continuation`: A continuation token to get the next chunk of items. The token is provided each time this API is requested.

> Response:

See: GET `/api/v1/channels/:id/videos`


##### GET `/api/v1/channels/:id/videos`

> URL parameters:

* `continuation`: A continuation token to get the next chunk of items. The token is provided each time this API is requested.
* `sort_by`: Sort order filter. Accepted values: `newest`, `popular` or `oldest` (Broken as of 10/2022). Default to `newest`.

> Response:

```javascript
{
	"videos": [
		// One or more VideoObject
	],
	"continuation": String
}
```
